## hubzero-mw2-common 2.2.8-1+deb8

=== Makefile ===
--- 
+++ 
@@ -93,6 +93,12 @@
 	install --mode 0644 -D vnc_pass.py $(INSTDIR)/vnc_pass.py
 	install --mode 0644 -D zone.py $(INSTDIR)/zone.py
 
+docker_install:  install
+	install --mode 0644 -D display_tr.py $(INSTDIR)/display.py
+	install --mode 0644 -D session_tr.py $(INSTDIR)/session.py
+
+aws_install: docker_install
+
 manual_install:  install
 	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
 	python -m compileall $(INSTDIR)/
@@ -102,6 +108,8 @@
 	# this is needed for manual installation success in the absence of package hubzero-python
 	if ! [ -f $(DESTDIR)/$(MOD_HUBZERO)/__init__.py ]; then touch $(DESTDIR)/$(MOD_HUBZERO)/__init__.py; fi
 
+manual_docker_install: docker_install manual_install
+manual_aws_install: aws_install manual_install
 
 uninstall:
 	rm -rf $(INSTDIR)/*
