=== debian/changelog ===
hubzero-mw2-common (2.2.8-1+deb8) unstable; urgency=low

  * re-add --fast option when calling vzctl stop
  * stop containers without --fast option to avoid some race conditions
  * fix typo created when adding brackets for mysql queries
  * added support for cpu_shares docker option (DOCKER_CPU_SHARES)
  * Docker containers: mount home directory of apps user if tool user is in
    the apps group
  * add option DOCKER_RUNTIME to run a specific docker runtime like nvidia's
  * close db connections before sleeping
  * close db connections before contacting fileserver
  * remove redundant /var/run/Xvnc mount
  * workaround for issue when called by expire-session daemon and expanduser
    returns /root/.ssh/known_hosts despite user being www-data
  * ignore missing APPS_SUBDIR_MOUNTING option;  Docker functionality try to
    use image matching tool name;  Docker limits adjustable without requiring
    the options in config file; bug fix when deleting firewall rules
  * For Docker functionality, add int_results_dir path function

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 18 Apr 2019 10:49:03 -0400

hubzero-mw2-common (2.2.7-1) unstable; urgency=low

  * ionhelper support improvements
  * improved handling of firewall rules
  * improved database connection handling

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2019 15:09:39 -0500

hubzero-mw2-common (2.2.6-1) unstable; urgency=low

  * Refactoring for WIP OpenVZ 7 and docker

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Dec 2018 13:50:33 -0500

hubzero-mw2-common (2.2.5-1) unstable; urgency=low
  * packaging updates for debian builds
  * log an error and continue instead of raising an exception for username-based
    mounts

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 07 Jun 2018 14:00:21 -0400

hubzero-mw2-common (2.2.4-1) unstable; urgency=low

  * explicity set mode on created directory (in case of restrictive umask)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 14 May 2018 15:51:12 -0400

hubzero-mw2-common (2.2.3-1) unstable; urgency=low

  * create intermediate directories with correct permissions

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 14 May 2018 14:25:22 -0400

hubzero-mw2-common (2.2.2-1) unstable; urgency=low

  * mount home, apps, data directories more securely 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 14 May 2018 11:31:57 -0400

hubzero-mw2-common (2.2.1-1) unstable; urgency=low

  * explicity set mode on created directory (in case of restrictive umask)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 01 May 2018 11:22:14 -0400

hubzero-mw2-common (2.2.0-1) unstable; urgency=low

  * Initial release of packaged hubzero-mw2-common.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 10 Apr 2018 14:27:29 -0400
