## hubzero-mw2-common 2.2.11-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-mw2-common
 # @file         Makefile
-# @author       Pascal Meunier <pmeunier@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,17 +23,24 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
-# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them 
+# Common libraries are installed as owned by root so the client can't modify them, as root may need to use them
 
 # find the highest Python version installed
-ifeq (/usr/lib/python2.6,$(wildcard /usr/lib/python2.6))
+ifeq (/usr/lib/python2.6/site-packages,$(wildcard /usr/lib/python2.6/site-packages))
   export MOD_HUBZERO=/usr/lib/python2.6/site-packages/hubzero
 endif
-ifeq (/usr/lib/python2.7,$(wildcard /usr/lib/python2.7))
+ifeq (/usr/lib/python2.7/site-packages,$(wildcard /usr/lib/python2.7/site-packages))
+  export MOD_HUBZERO=/usr/lib/python2.7/site-packages/hubzero
+endif
+ifeq (/usr/lib/python2.7/dist-packages,$(wildcard /usr/lib/python2.7/dist-packages))
   export MOD_HUBZERO=/usr/lib/python2.7/dist-packages/hubzero
+endif
+ifndef MOD_HUBZERO
+  echo Python package installation directory not found.
+  exit 1
 endif
 export MOD_INSTDIR=$(MOD_HUBZERO)/mw
 
@@ -93,23 +99,24 @@
 	install --mode 0644 -D vnc_pass.py $(INSTDIR)/vnc_pass.py
 	install --mode 0644 -D zone.py $(INSTDIR)/zone.py
 
-docker_install:  install
+# The differences between xyz.py and xyz_tr.py files should be in the use of database transactions only
+# such implementation details should be entirely encapsulated by the classes
+dbtransaction_install:  install
 	install --mode 0644 -D display_tr.py $(INSTDIR)/display.py
 	install --mode 0644 -D session_tr.py $(INSTDIR)/session.py
-
-aws_install: docker_install
 
 manual_install:  install
 	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
 	python -m compileall $(INSTDIR)/
-	chmod 0644 $(INSTDIR)/*.pyc 
+	chmod 0644 $(INSTDIR)/*.pyc
 	chmod 0644 $(INSTDIR)/*.pyo 2>/dev/null || true
 	# when created inside a package install, __init__.py created here conflicts with package hubzero-python
 	# this is needed for manual installation success in the absence of package hubzero-python
 	if ! [ -f $(DESTDIR)/$(MOD_HUBZERO)/__init__.py ]; then touch $(DESTDIR)/$(MOD_HUBZERO)/__init__.py; fi
 
-manual_docker_install: docker_install manual_install
-manual_aws_install: aws_install manual_install
+manual_dbtransaction_install: dbtransaction_install manual_install
+
+docker_install: manual_install
 
 uninstall:
 	rm -rf $(INSTDIR)/*
