=== debian/changelog ===
hubzero-mw2-common (2.2.11-1+deb9) unstable; urgency=low

  * fix tuple vs list database issue
  * catch KeyError when LDAP is unavailable and the like
  * attempt to use image named after tool revision, and bug fix for regular
  * MiddlewareTime squid field accounting for nanoHUB
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 17:11:41 -0700

hubzero-mw2-common (2.2.10-1) unstable; urgency=low

  * reimplemented Username-based mounts for Docker;  implemented support for
    Docker add-host option
  * DOCKER_MEMORY default to 1G instead of 100M;  bug fix for container user
    and sys time
  * change : to _ in Docker hostname; and bug fix, 'HELPER_GID' is a string so
    requires s in format string, not d
  * show session ID in prompt
  * use DOCKER_HOSTNAME instead of DOCKER_PROMPT
  * support for customizing command line prompt
  * use valid Docker mount options for hydroshare on mygeohub
  * added ionhelper support
  * last resort guessing weber proxy URL now implemented in Session class
  * add support for hydroshare mounts and bug fix for tool parameter support
    in Docker
  * fix for int_params_path in default User_account
  * fixed TOOL_PARAMETERS when starting tools from projects
  * add Docker support to project mounts
  * reimplement capability to mount arbitrary fs paths like /data subdirectories
    inside tool containers.  Also socat for filexfer forwarding to
    tool container
  * make sure experimental NOVNC feature is never turned on accidentally
  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 02 May 2020 09:48:26 -0700

hubzero-mw2-common (2.2.9-1) unstable; urgency=low

  *  changes in comments and DEBUG defaults to False.
  *  support for any helper account name instead of hard-coded as 
     'ionhelper'.  Also, fixed typo when handling error for 
     non-existent mount point in array USER_MOUNT_POINTS
  *  bug fixes: docker filter needed carret in container.py,
     DEBUG defined in session.py
  *  bug fix for missing quotes around string
  *  cleaned up JSON generation when viewing a session
  *  hydroshare mounts in Docker (untested)
  *  Docker implementation of Hydroshare connectivity
  *  docker disk quotas; restore hydroshare functionality for
     MyGeohub; masquerade for Docker tools; fix race condition
     by waiting until user accounts are setup;  provide user 
     groups to restore firewall rules
  *  better DEBUG logging of account class
  *  docker networks icc=false; better logging of submit --local exit
  *  specify DEBUG in log strings
  *  removed old Windows code from bork command

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 09 Oct 2019 14:40:33 -0500

hubzero-mw2-common (2.2.8-1) unstable; urgency=low

  * re-add --fast option when calling vzctl stop
  * stop containers without --fast option to avoid some race conditions
  * fix typo created when adding brackets for mysql queries
  * added support for cpu_shares docker option (DOCKER_CPU_SHARES)
  * Docker containers: mount home directory of apps user if tool user is in
    the apps group
  * add option DOCKER_RUNTIME to run a specific docker runtime like nvidia's
  * close db connections before sleeping
  * close db connections before contacting fileserver
  * remove redundant /var/run/Xvnc mount
  * workaround for issue when called by expire-session daemon and expanduser
    returns /root/.ssh/known_hosts despite user being www-data
  * ignore missing APPS_SUBDIR_MOUNTING option;  Docker functionality try to
    use image matching tool name;  Docker limits adjustable without requiring
    the options in config file; bug fix when deleting firewall rules
  * For Docker functionality, add int_results_dir path function

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 18 Apr 2019 10:49:03 -0400
