## hubzero-mw2-common 2.2.14-1+deb7

=== Makefile ===
--- 
+++ 
@@ -80,10 +80,8 @@
 all:
 	@true
 
-install:
-	sed -e "s|MOD_HUBZERO|$(MOD_HUBZERO)|" -e "s|ETCDIR|/etc|" -e "s|VARLIBDIR|/var/lib|" -e "s|LOGDIR|/var/log|" -e "s|OWNER|$(OWNER)|" -e "s|WEBUSER|$(CLIENTOWNER)|" -e "s|USRBINDIR|/usr/bin|" < constants.template > constants.py
+install_code_only:
 	install --mode 0644 -D app.py $(INSTDIR)/app.py
-	install --mode 0644 -D constants.py $(INSTDIR)/constants.py
 	install --mode 0644 -D container.py $(INSTDIR)/container.py
 	install --mode 0644 -D display.py $(INSTDIR)/display.py
 	install --mode 0644 -D errors.py $(INSTDIR)/errors.py
@@ -97,7 +95,16 @@
 	install --mode 0644 -D support.py $(INSTDIR)/support.py
 	install --mode 0644 -D user_account.py $(INSTDIR)/user_account.py
 	install --mode 0644 -D vnc_pass.py $(INSTDIR)/vnc_pass.py
+# zone.py is deprecated and has not been maintained for years
 	install --mode 0644 -D zone.py $(INSTDIR)/zone.py
+	install --mode 0644 -D example_constants.py $(INSTDIR)/example_constants.py
+	sed -e "s|MOD_HUBZERO|$(MOD_HUBZERO)|" -e "s|ETCDIR|/etc|" -e "s|VARLIBDIR|/var/lib|" -e "s|LOGDIR|/var/log|" -e "s|OWNER|$(OWNER)|" -e "s|WEBUSER|$(CLIENTOWNER)|" -e "s|USRBINDIR|/usr/bin|" < constants.template > $(INSTDIR)/constants.py
+	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
+	python2 -m compileall $(INSTDIR)/
+	chmod 0644 $(INSTDIR)/*.pyc
+	chmod 0644 $(INSTDIR)/*.pyo 2>/dev/null || true
+
+install: install_code_only
 
 # The differences between xyz.py and xyz_tr.py files should be in the use of database transactions only
 # such implementation details should be entirely encapsulated by the classes
@@ -106,10 +113,6 @@
 	install --mode 0644 -D session_tr.py $(INSTDIR)/session.py
 
 manual_install:  install
-	rm -f $(INSTDIR)/*.pyc $(INSTDIR)/*.pyo
-	python -m compileall $(INSTDIR)/
-	chmod 0644 $(INSTDIR)/*.pyc
-	chmod 0644 $(INSTDIR)/*.pyo 2>/dev/null || true
 	# when created inside a package install, __init__.py created here conflicts with package hubzero-python
 	# this is needed for manual installation success in the absence of package hubzero-python
 	if ! [ -f $(DESTDIR)/$(MOD_HUBZERO)/__init__.py ]; then touch $(DESTDIR)/$(MOD_HUBZERO)/__init__.py; fi
