=== tests/Makefile ===
log_dns_resolve:
	python -c "from hubzero.mw.log import dns_resolve;\
	print dns_resolve('exectest.aws.hubzero.org')"
