=== debian/changelog ===
hubzero-mw2-common (2.2.14-1+deb7) unstable; urgency=low

  * remove option -C submit and instead inspect ps output line by line
  * added a check on the socat/stunnel's existence to catch things that
    shouldn't happen ever, but apparently did.  By Steve's request
  * add wait option to iptables commands so firewall changes don't fail
  * additional options for scp transfers to avoid hangups or failures
  * additional options for scp transfers to avoid hangups or failures
  * handle exceptions when trying to chmod transfered logs
  * support mounting more than one project source
  * allow PROJECT_PATHS to specify an array of paths to be mounted based
    on project membership

 -- Pascal Meunier <pmeunier@ucsd.edu>  Mon, 17 Jul 2023 16:24:41 -0700

hubzero-mw2-common (2.2.13-1) unstable; urgency=low

  * only add hub_template to resource file if it was set

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 14 Sep 2021 15:00:02 -0700

hubzero-mw2-common (2.2.12-1) unstable; urgency=low

  * add options for DOCKER_XSHM, DOCKER_GPUS, DOCKER_VGL features
  * execution host load now includes displays in stopping or other states

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 25 Jan 2021 15:23:41 -0800

hubzero-mw2-common (2.2.11-1) unstable; urgency=low

  * added squiddb variable to resources
  * database call now needs to use a list for parameters due to change in MySQLdb
  * explicitly call python2 for CentOS 8 compatibility
  * mounting /apps now optional; service containers use 100000 cpu-shares; fix for building hubzero_vncpasswd image
  * bug fix for large log file trimming
  * instead of deleting large log files, cut out the middle
  * bug fix: call log instead of err.write
  * fix tuple vs list database issue
  * catch KeyError when LDAP is unavailable and the like
  * attempt to use image named after tool revision, and bug fix for regular expression for squid caching support
  * MiddlewareTime squid field accounting for nanoHUB

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 01 Dec 2020 14:27:11 -0800
