=== debian/control ===
Source: hubzero-mw2-common
Section: misc
Priority: optional
Maintainer: Pascal Meunier <pmeunier@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
X-Python-Version: >= 2.7
Homepage: http://hubzero.org

Package: hubzero-mw2-common
Architecture: all
Depends: python (>=2.7), ${misc:Depends}, ${misc:Depends}
Description: HUBzero Middleware 2 Common Files
 Common python library used by HUBzero Middleware 2
