=== debian/rules ===
--- 
+++ 
@@ -84,7 +84,7 @@
 	dh_installlogrotate -i
 	dh_installinit -i
 	dh_installman -i
-	#dh_python2 -i
+	dh_python2 -i
 	dh_link -i
 	dh_strip -i
 	dh_lintian -i
