## hubzero-mw2-common 2.2.14-1+deb10

=== debian/changelog ===
hubzero-mw2-common (2.2.14-1+deb10) unstable; urgency=low

  * remove option -C submit and instead inspect ps output line by line
  * added a check on the socat/stunnel's existence to catch things that
    shouldn't happen ever, but apparently did.  By Steve's request
  * add wait option to iptables commands so firewall changes don't fail
  * additional options for scp transfers to avoid hangups or failures
  * additional options for scp transfers to avoid hangups or failures
  * handle exceptions when trying to chmod transfered logs
  * support mounting more than one project source
  * allow PROJECT_PATHS to specify an array of paths to be mounted based
    on project membership

 -- Pascal Meunier <pmeunier@ucsd.edu>  Mon, 17 Jul 2023 16:24:41 -0700
